opal/util/malloc.h File Reference.TH "opal/util/malloc.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/malloc.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include <stdlib.h>\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBOPAL_MALLOC_DEBUG_LEVEL\fP   2"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBopal_malloc_init\fP (void)"
.br
.RI "\fIInitialize malloc debug output. \fP"
.ti -1c
.RI "void \fBopal_malloc_finalize\fP (void)"
.br
.RI "\fIShut down malloc debug output. \fP"
.ti -1c
.RI "OMPI_DECLSPEC void * \fBopal_malloc\fP (size_t size, const char *file, int line)"
.br
.ti -1c
.RI "OMPI_DECLSPEC void * \fBopal_calloc\fP (size_t nmembers, size_t size, const char *file, int line)"
.br
.ti -1c
.RI "OMPI_DECLSPEC void * \fBopal_realloc\fP (void *ptr, size_t size, const char *file, int line)"
.br
.ti -1c
.RI "OMPI_DECLSPEC void \fBopal_free\fP (void *addr, const char *file, int line)"
.br
.ti -1c
.RI "static void \fBopal_malloc_debug\fP (int level)"
.br
.RI "\fIUsed to set the debug level for malloc debug. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_malloc_debug_level\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_malloc_output\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "static void opal_malloc_debug (int level)\fC [inline, static]\fP"
.PP
Used to set the debug level for malloc debug. 
.PP
\fBParameters:\fP
.RS 4
\fIlevel\fP The level of debugging (0 = none, 1 = some, 2 = more)
.RE
.PP
This value defaults to the OPAL_MALLOC_DEBUG_LEVEL. 
.SS "void opal_malloc_finalize (void)"
.PP
Shut down malloc debug output. 
.PP
This function is invoked as part of \fBopal_finalize()\fP to shut down the output stream for malloc debug messages. 
.SS "void opal_malloc_init (void)"
.PP
Initialize malloc debug output. 
.PP
This function is invoked to setup a dedicated output stream for malloc debug functions. It does \fInot\fP (currently) do anything other than that (i.e., no internal accounting for tracking malloc/free statements, etc.).
.PP
It is invoked as part of \fBopal_init()\fP. Although this function is not \fInecessary\fP for OPAL_MALLOC() and OPAL_FREE(), it is strong recommended because no output messages -- regardless of the malloc debug level set by \fBopal_malloc_debug()\fP -- will be displayed unless this function is invoked first. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
